import EventLogManager

def initialize(context):
    context.registerClass(
        EventLogManager.EventLogManager,
        permission='Add Event Log Manager',
        icon='log.gif',
        constructors=(EventLogManager.constructELMForm,
                      EventLogManager.constructELM)
        )
    context.registerHelp()
    
# do target configuration processing

from string import lower
import os
import ConfigParser
import __main__
from App.Common import package_home
import SyslogTarget, FileTarget

LOG_CONFIG_FILE = os.path.join(package_home(globals()), 'eventlog.conf')
LOG_FILE_PATH = os.path.join(INSTANCE_HOME, 'var')

targets = {}
cp = ConfigParser.ConfigParser(defaults={'LOG_FILE_PATH':LOG_FILE_PATH})
cp.read(LOG_CONFIG_FILE)
for x in cp.sections():
    if lower(x[0:10]) == 'filetarget':
        name = cp.get(x, 'name')
        path = cp.get(x, 'path')
        if not os.path.isabs(path):
            path = os.path.join(LOG_FILE_PATH, path)
        targets[name] = FileTarget.FileTarget(path)
    elif lower(x[0:12]) == 'syslogtarget':
        name = cp.get(x, 'name')
        port = cp.get(x, 'port') or None
        addr = cp.get(x, 'addr') or None
        targets[name] = SyslogTarget.SyslogTarget(port, addr)

__main__.__builtins__._log_targets=targets


